# $Revision: 1.24 $, $Date: 2010/08/21 19:07:32 $
%include	/usr/lib/rpm/macros.php
%define		_class		Gtk
%define		_subclass	MDB
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}_Designer
Summary:	%{_pearname} - an GTK+ Database schema designer
Summary(pl.UTF-8):	%{_pearname} - oparty na GTK+ projektant schematów baz danych
Name:		php-pear-%{_pearname}
Version:	0.1
Release:	10
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	65bb0042a2476d19c8300c1479ebc63e
URL:		http://pear.php.net/package/Gtk_MDB_Designer/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(gtk)
Requires:	php-common >= 3:4.3
Requires:	php-pear >= 4:1.0-8
Requires:	php-pear-MDB >= 1:1.1.1
Requires:	php-pear-XML_Parser >= 1.0.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A graphical database schema designer, based loosely around the MDB
schema, it features:
- table boxes which are dragged around a window to layout your
  database
- add/delete tables
- add/delete columns
- support for NotNull, Indexes, Sequences, Unique Indexes and defaults
- works totally in non-connected mode (eg. no database or setting up
  required)
- stores in MDB like xml file
- saves to any supported database SQL create tables files
- screenshots at http://devel.akbkhome.com/Gtk_MDB/.

Future enhancements:
- real MDB schema exports
- relationships = with lines etc.

Note: the primary aim is to generate SQL files, (so that I can get my
work done) however it is eventually planned to support MDB schemas
fully... - just a matter of time.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Graficzny projektant schematów baz danych, luźnie oparty na schemacie
MDB, pozwalający na:
- przeciąganie prostokątów tabel po oknie
- dodawanie/usuwanie tabel
- dodawanie/usuwanie kolumn
- obsługę atrybutów NotNull, indeksów, sekwencji, unikalnych indeksów
  i domyślnych
- działanie w trybie bez połączenia (nie wymagającym bezy danych ani
  konfiguracji)
- zapis do pliku XML w stylu MDB
- zapis do plików tworzących tabele SQL w dowolnej obsługiwanej bazie.

Zrzuty ekranu dostępne są pod http://devel.akbkhome.com/Gtk_MDB/.

Przyszłe rozszerzenia:
- prawdziwe eksportowanie schematów MDB
- zależności = z liniami itp.

Głównym celem jest generowanie plików SQL (co pozwoli autorowi
wykonywać swoją pracę), ale opcjonalnie planowana jest pełna obsługa
schematów MDB... - to tylko kwestia czasu.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/%{_class}/%{_subclass}/Designer.php
%{php_pear_dir}/%{_class}/%{_subclass}/Designer

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Gtk_MDB_Designer.spec,v $
Revision 1.24  2010/08/21 19:07:32  glen
- updated deps with pearize.sh
- release 10

Revision 1.23  2008/01/31 12:17:51  glen
- rel 9

Revision 1.22  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.20  2006/11/26 13:36:08  glen
- rel 8: use php(extension) virtuals

Revision 1.19  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.18  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.17  2005/10/15 14:10:03  glen
- rel 7

Revision 1.16  2005/10/15 14:09:44  glen
- fix epoch for php-pear-MDB

Revision 1.15  2005/10/05 20:11:30  glen
- rel 6

Revision 1.14  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.13  2005/09/21 21:06:13  glen
- use new pear packaging

Revision 1.12  2004/12/05 12:30:06  adamg
- Requires: php4-gtk (not php-gtk)
- release 5

Revision 1.11  2004/12/04 21:57:15  adamg
- ah, really fix %install
- release 4

Revision 1.10  2004/12/04 21:21:43  adamg
- added missing files
- release 3

Revision 1.9  2004/12/03 22:09:42  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.8  2004/10/28 09:58:32  paladine
- "GTK+" unification (hope thats all)

Revision 1.7  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.6  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.5  2004/03/14 12:10:39  adamg
- release 1

Revision 1.4  2003/10/07 20:54:45  adamg
- do not use macros in URL

Revision 1.3  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.2  2003/06/08 16:26:12  qboosh
- pl description, cleanups

Revision 1.1  2003/05/30 21:34:24  adamg
- initial import
